# Uses of Class
org.eclipse.gef.ui.palette.PaletteColorProvider

Packages that use PaletteColorProvider
Package
Description
org.eclipse.gef.ui.palette

## Uses of PaletteColorProvider in org.eclipse.gef.ui.palette

Fields in org.eclipse.gef.ui.palette declared as PaletteColorProvider
Modifier and Type
Field
Description
`static final PaletteColorProvider`
PaletteColorProvider.`INSTANCE`
Methods in org.eclipse.gef.ui.palette that return PaletteColorProvider
Modifier and Type
Method
Description
`PaletteColorProvider`
PaletteViewer.`getColorProvider()`
Methods in org.eclipse.gef.ui.palette with parameters of type PaletteColorProvider
Modifier and Type
Method
Description
`void`
PaletteViewer.`setColorProvider(PaletteColorProvider colorProvider)`
Sets the color provider that is used for painting the figures of this viewer.